#include <SoftwareSerial.h> //incluimos la libreria
SoftwareSerial SIM900(7, 8); //configuramos com por pines 7 y 8
     const int pinSwitch = 2;  // el numero de pin del reed switch
 

     // variable para guardar el valor del sensor
     int estadoSwitch = 0;         // para leer y guardar el estado del reed switch

     void setup() {

       // inicializa el pin del reed switch como de entrada
       pinMode(pinSwitch, INPUT);     
       
        delay(1000);
        Serial.println("SISTEMA DE ALARMA CONECTADO");
         delay (1000);  //Esperamos para encender el GPRS y la tarjeta
  SIM900.begin(19200); //Velocidad del serial del SIM900
  Serial.begin(19200);  //Velocidad del serial de Arduino
  Serial.println("TARJETA SIM ENCENDIDA");
      delay (1000);
      SIM900.println("AT + CPIN = \"3053\"");  //Comando AT para introducir el PIN de la tarjeta
      delay(2000);  //Tiempo para que encuentre una RED
  Serial.println("INVERNADERO CERRADO");
     }


//////////////////FUNCIÓN PARA REALIZAR LLAMADAS//////////////////////
void llamar(){
      Serial.println("Se esta efectuando la llamada");
      SIM900.println("ATD697636964;");
      //SIM900.println("ATD + +34697636964;");  //Comando AT para realizar una llamada a mi telefono personal
      delay(5000);  // Espera 20 segundos mientras realiza la llamada
      SIM900.println("ATH");  //Comando AT para colgar la llamada
      delay(1000);
      Serial.println("Llamada terminada");
   }
  
/////////////////////////////////////////////////////////////////////

//////////////////FUNCIÓN PARA ENVIAR MENSAJES//////////////////////
void mensaje()
   {
      Serial.println("Enviando mensaje.....");
      SIM900.print("AT+CMGF=1\r");  //Comando AT para configurar el modo texto
      delay(500);
      SIM900.println("AT + CMGS = \"+34697636964\"");  //Mi telefono personal que recibirá el mensaje
      delay(1000);
      SIM900.println("PUERTA DEL INVERNADERO ABIERTA");//texto a enviar
      delay(100);
      SIM900.println((char)26); //Comando de finalización de mensaje
      delay(100);
      SIM900.println();
      delay(3000);  // Le damos un tiempo para enviar el mensaje
      Serial.println("SMS enviado correctamente");
   }
/////////////////////////////////////////////////////////////////////

    
     void loop(){

       // lee el valor del estado del reed switch y lo guarda en la variable estadoSwitch
       estadoSwitch = digitalRead(pinSwitch);
       // checa el estado del reed switch con un if
       if (estadoSwitch == HIGH) {     
         // si es HIGH, el reed switch esta cerrado y prendemos el led
         Serial.println("");
         Serial.println("PUERTA ABIERTA!!!!!!!!!!");       
         delay(4000);
    llamar(); //llamamos por seguridad
    delay(2000);
    //mensaje(); //enviamos el mensaje
    while(1);//esperar por tiempo indefinido
       } 
       else {
         // entonces es LOW, el reed switch esta abierto y apagamos el led
       
       }
     }
