#include <Time.h> //usamos la librería Time.h

int EVpin = 9; // pin al que conectamos la electroválvula de riego
byte horaInicio = 20, minutoInicio = 31;
byte horaFin = 20, minutoFin = 32;

void setup(){
pinMode (EVpin, OUTPUT);
Serial.begin(9600);
setTime(20, 30, 40, 3, 9, 2016);
}

void loop(){
Serial.print("Son las: ");
Serial.print(String(hour()) + ":" + String(minute()) + ":" +
String(second()));
if(esHoraRiego()){ //comprobamos si es la hora del riego
Serial.println(" --> ES LA HORA PROGRAMADA PARA RIEGO!      REGANDO EL INVERNADERO"); // es hora de riego: informo por serie
digitalWrite (EVpin, LOW); // activo la EV
}
else {
Serial.println(" --> NO ES HORA DE RIEGO"); // no es hora de riego: informo por serie
digitalWrite (EVpin, HIGH); // cierro la EV
}
delay(1000); // espero 1s
}
boolean esHoraRiego(){
int momentoInicio = (horaInicio * 60) + minutoInicio;
int momentoFin = (horaFin * 60) + minutoFin;
int momentoAhora = (hour() * 60) + minute();

if((momentoInicio<=momentoAhora) && (momentoAhora<momentoFin)){
return true; // estamos en período de riego: devolver “true”
}
else {
return false; // no estamos en período de riego: devolver “false”
}
}
